## dpdk 25.11

=== meson_options.txt ===
# Please keep these options sorted alphabetically.

option('check_includes', type: 'boolean', value: false, description:
       'build "chkincs" to verify each header file can compile alone')
option('cpu_instruction_set', type: 'string', value: 'auto',
	description: 'Set the target machine ISA (instruction set architecture). Will be set according to the platform option by default.')
option('developer_mode', type: 'feature', description:
       'turn on additional build checks relevant for DPDK developers')
option('disable_apps', type: 'string', value: '', description:
       'Comma-separated list of apps to explicitly disable.')
option('disable_drivers', type: 'string', value: '', description:
       'Comma-separated list of drivers to explicitly disable.')
option('disable_libs', type: 'string', value: '', description:
       'Comma-separated list of optional libraries to explicitly disable. [NOTE: mandatory libs cannot be disabled]')
option('drivers_install_subdir', type: 'string', value: 'dpdk/pmds-<VERSION>', description:
       'Subdirectory of libdir where to install PMDs. Defaults to using a versioned subdirectory.')
option('enable_docs', type: 'boolean', value: false, description:
       'build documentation')
option('enable_apps', type: 'string', value: '', description:
       'Comma-separated list of apps to build. If unspecified, build all apps.')
option('enable_deprecated_libs', type: 'string', value: '', description:
       'Comma-separated list of deprecated libraries to explicitly enable.')
option('enable_drivers', type: 'string', value: '', description:
       'Comma-separated list of drivers to build. If unspecified, build all drivers.')
option('enable_driver_sdk', type: 'boolean', value: false, description:
       'Install headers to build drivers.')
option('enable_libs', type: 'string', value: '', description:
       'Comma-separated list of optional libraries to explicitly enable. [NOTE: mandatory libs are always enabled]')
option('examples', type: 'string', value: '', description:
       'Comma-separated list of examples to build by default')
option('ibverbs_link', type: 'combo', choices : ['static', 'shared', 'dlopen'], value: 'shared', description:
       'Linkage method (static/shared/dlopen) for NVIDIA PMDs with ibverbs dependencies.')
option('include_subdir_arch', type: 'string', value: '', description:
       'subdirectory where to install arch-dependent headers')
option('kernel_dir', type: 'string', value: '', description:
       'Path to the kernel for building kernel modules. Headers must be in $kernel_dir or $kernel_dir/build. Modules will be installed in /lib/modules.')
option('machine', type: 'string', value: 'auto', description:
       'Alias of cpu_instruction_set.')
option('max_ethports', type: 'integer', value: 32, description:
       'maximum number of Ethernet devices')
option('max_lcores', type: 'string', value: 'default', description:
       'Set maximum number of cores/threads supported by EAL; "default" is different per-arch, "detect" detects the number of cores on the build machine.')
option('max_numa_nodes', type: 'string', value: 'default', description:
       'Set the highest NUMA node supported by EAL; "default" is different per-arch, "detect" detects the highest NUMA node on the build machine.')
option('enable_iova_as_pa', type: 'boolean', value: true, description:
       'Support the use of physical addresses for IO addresses, such as used by UIO or VFIO in no-IOMMU mode. When disabled, DPDK can only run with IOMMU support for address mappings, but will have more space available in the mbuf structure.')
option('mbuf_refcnt_atomic', type: 'boolean', value: true, description:
       'Atomically access the mbuf refcnt.')
option('platform', type: 'string', value: 'native', description:
       'Platform to build, either "native", "generic" or a SoC. Please refer to the Linux build guide for more information.')
option('pkt_mbuf_headroom', type: 'integer', value: 128, description:
       'Default data offset (in bytes) in a packet buffer to leave room for additional headers.')
option('enable_stdatomic', type: 'boolean', value: false, description:
       'enable use of C11 stdatomic')
option('enable_trace_fp', type: 'boolean', value: false, description:
       'enable fast path trace points.')
option('tests', type: 'boolean', value: true, description:
       'build unit tests')
option('use_hpet', type: 'boolean', value: false, description:
       'use HPET timer in EAL')

=== examples/bond/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2010-2015 Intel Corporation

# binary name
APP = bond_app

# all source are stored in SRCS-y
SRCS-y := main.c
SRC-DEPS := build/commands.h

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

LDFLAGS += -lrte_net_bond

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk) -I build/
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

build/commands.h: commands.list Makefile
	dpdk-cmdline-gen.py -o $@ --context-name=main_ctx $<

CFLAGS += -DALLOW_EXPERIMENTAL_API

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build $(SRC-DEPS)
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build  $(SRC-DEPS)
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared build/*.h
	test -d build && rmdir -p build || true

=== examples/flow_filtering/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2017 Mellanox Technologies, Ltd

APP = flow

SRCS-y := main.c flow_skeleton.c
subdir := snippets
snippet_objects := $(addprefix build/,$(notdir $(patsubst %.c,%.o,$(wildcard $(subdir)/*.c))))

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk)
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

CFLAGS += -DALLOW_EXPERIMENTAL_API

build/$(APP)-shared: $(SRCS-y) $(snippet_objects) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) $(snippet_objects) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) $(snippet_objects) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) $(snippet_objects) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build/snippet_%.o: $(subdir)/snippet_%.c | build
	$(CC) -c $(CFLAGS) -Wno-unused-function $< -o $@

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared build/*.o
	test -d build && rmdir -p build || true

=== examples/ipsec-secgw/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2016 Intel Corporation

APP = ipsec-secgw

#
# all source are stored in SRCS-y
#
SRCS-y += parser.c
SRCS-y += ipsec.c
SRCS-y += esp.c
SRCS-y += sp4.c
SRCS-y += sp6.c
SRCS-y += sa.c
SRCS-y += sad.c
SRCS-y += rt.c
SRCS-y += ipsec_process.c
SRCS-y += ipsec-secgw.c
SRCS-y += ipsec_worker.c
SRCS-y += event_helper.c
SRCS-y += flow.c

CFLAGS += -gdwarf-2

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk)
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

CFLAGS += -DALLOW_EXPERIMENTAL_API
CFLAGS += -Wno-address-of-packed-member
CFLAGS += -I../common

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared
	test -d build && rmdir -p build || true

=== examples/l3fwd/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2010-2016 Intel Corporation

# binary name
APP = l3fwd

# all source are stored in SRCS-y
SRCS-y := main.c l3fwd_acl.c l3fwd_lpm.c l3fwd_fib.c l3fwd_em.c l3fwd_event.c
SRCS-y += l3fwd_event_generic.c l3fwd_event_internal_port.c

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk)
# Added for 'rte_eth_link_to_str()'
CFLAGS += -DALLOW_EXPERIMENTAL_API
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

CFLAGS += -I../common

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared
	test -d build && rmdir -p build || true

=== examples/ntb/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2019 Intel Corporation

# binary name
APP = ntb_fwd

# all source are stored in SRCS-y
SRCS-y := ntb_fwd.c
SRC-DEPS := build/commands.h

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

CFLAGS += -D_FILE_OFFSET_BITS=64
LDFLAGS += -pthread

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk) -I build/
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

build/commands.h: commands.list Makefile
	dpdk-cmdline-gen.py -o $@ --context-name=main_ctx $<

CFLAGS += -DALLOW_EXPERIMENTAL_API

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build $(SRC-DEPS)
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build $(SRC-DEPS)
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared build/*.h
	test -d build && rmdir -p build || true

=== examples/vdpa/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2018 Intel Corporation

# binary name
APP = vdpa

# all source are stored in SRCS-y
SRCS-y := main.c
SRC-DEPS := build/commands.h
CFLAGS += -DALLOW_EXPERIMENTAL_API

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk) -I build/
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

build/commands.h: commands.list Makefile
	dpdk-cmdline-gen.py -o $@ --context-name=main_ctx $<

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build $(SRC-DEPS)
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build $(SRC-DEPS)
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared build/*.h
	test -d build && rmdir -p build || true

=== examples/vhost/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2010-2014 Intel Corporation

# binary name
APP = dpdk-vhost

# all source are stored in SRCS-y
SRCS-y := main.c virtio_net.c

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

LDFLAGS += -pthread

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk)
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

CFLAGS += -DALLOW_EXPERIMENTAL_API

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared
	test -d build && rmdir -p build || true

=== examples/multi_process/hotplug_mp/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2010-2014 Intel Corporation

# binary name
APP = hotplug_mp

# all source are stored in SRCS-y
SRCS-y := main.c commands.c
SRC-DEPS := build/commands.h

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk) -I build/
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

build/commands.h: commands.list Makefile
	dpdk-cmdline-gen.py -o $@ --context-name=main_ctx $<

CFLAGS += -DALLOW_EXPERIMENTAL_API

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build $(SRC-DEPS)
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build  $(SRC-DEPS)
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared build/*.h
	test -d build && rmdir -p build || true

=== debian/changelog ===
dpdk (25.11-2) unstable; urgency=medium

  * librte-net-zxdh26/librte-common-zsda26: also install on loong64
  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Thu, 11 Dec 2025 12:10:52 +0000

dpdk (25.11-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream release candidate 25.11
    For a full list of changes in 25.11 see
    https://doc.dpdk.org/guides/rel_notes/release_25_11.html
    - d/watch: move to 25.11 LTS
    - d/control: Bump lib package names to 25.11 ABI (=26)
    - d/*.symbols: rename and update to match the ABI change to 26
    - drop d/p/doc-install-guides-and-api-docs-to-different-directory.patch
      [upstream now]
    - d/control: add new PMDs
      - librte-common-zsda26
      - librte-net-hinic3-26
      - librte-net-nbl26
      - librte-net-rnp26
      - librte-net-xsc26
    - d/control: add profiling lib librte-pmu
    - d/control: fix descriptions to not use numbered lib names
    - d/control: add new dma drivers
      - librte-dma-hisi-acc26
      - librte-dma-hisi-pciep26
   - d/*.symbols: update due to new major version
   - d/control, d/*.symbols: drop no more available libraries
     - librte-dma-hisilicon
     - librte-net-igc
     - librte-common-idpf (net-idpf stays)
     - librte-common-iavf26 (net-iavf stays)
   - d/*.symbols: add symbols for new libs
   - d/control: add arch to new libs building on ppc64el
   - d/librte-net-idpf26.symbols: mark avx related symbols as amd64 only
   - d/control: add arch to new libs building on riscv64

  [ Luca Boccassi ]
  * Drop fix-test-failure-on-ppc64.patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Dec 2025 10:15:45 +0000

=== debian/control ===
Source: dpdk
Priority: optional
Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
           Christian Ehrhardt <christian.ehrhardt@canonical.com>,
           Santiago Ruano Rincón <santiagorr@riseup.net>,
Build-Depends: chrpath,
               debhelper-compat (= 13),
               dh-package-notes,
               dh-python,
               dh-sequence-python3,
               libbpf-dev,
               libbsd-dev,
               libelf-dev,
               libfdt-dev,
               libibverbs-dev (>= 23~),
               libipsec-mb-dev [amd64],
               libisal-dev [amd64],
               libjansson-dev,
               libmnl-dev,
               libnuma-dev,
               libpcap-dev,
               libssl-dev,
               libxdp-dev,
               meson (>= 0.47.1~),
               pkgconf,
               python3:any,
               python3-pyelftools,
               zlib1g-dev,
Build-Depends-Indep:
               doxygen <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Section: libs
Homepage: https://www.dpdk.org
Vcs-Git: https://salsa.debian.org/debian/dpdk.git -b unstable
Vcs-Browser: https://salsa.debian.org/debian/dpdk

Package: dpdk
Section: admin
Architecture: amd64 arm64 ppc64el riscv64 loong64
Depends: pci.ids | hwdata,
         pciutils,
         procps,
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
         ${python3:Depends},
# Recommend a subset of more tested, more used and more supported libs
Recommends: librte-mempool26,
            librte-mempool-ring26,
            librte-net-af-packet26,
            librte-net-bond26,
            librte-net-e1000-26,
            librte-net-fm10k26,
            librte-net-i40e26,
            librte-net-ixgbe26,
            librte-net-mlx4-26,
            librte-net-mlx5-26,
            librte-net-netvsc26,
            librte-net-pcap26,
            librte-net-tap26,
            librte-net-thunderx26,
            librte-net-vdev-netvsc26,
            librte-net-vhost26,
            librte-net-virtio26,
            librte-net-vmxnet3-26,
            python3-pyelftools,
Suggests: dpdk-doc,
          dpdk-kmods-dkms,
          librte-meta-baseband,
          librte-meta-bus,
          librte-meta-common,
          librte-meta-compress,
          librte-meta-crypto,
          librte-meta-dma,
          librte-meta-event,
          librte-meta-mempool,
          librte-meta-net,
          librte-meta-raw,
          librte-meta-allpmds,
Breaks: dpdk-dev (<< 24.11~rc1-1),
Replaces: dpdk-dev (<< 24.11~rc1-1),
Description: Data Plane Development Kit (runtime)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime environment to run DPDK applications.

Package: librte-meta-baseband
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Baseband},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (baseband libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte baseband libraries.

Package: librte-meta-bus
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Bus},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (bus libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte bus libraries.

Package: librte-meta-common
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Common},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (common libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte common libraries.

Package: librte-meta-compress
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Compress},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (compress libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte compress libraries.

Package: librte-meta-crypto
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Crypto},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (crypto libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte crypto libraries.

Package: librte-meta-dma
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Dma},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (dma libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte dma libraries.

Package: librte-meta-event
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Event},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (event libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte event libraries.

Package: librte-meta-mempool
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Mempool},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (mempool libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte mempool libraries.

Package: librte-meta-net
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Net},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (net libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte net libraries.

Package: librte-meta-raw
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Raw},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (raw libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte raw libraries.

Package: librte-meta-allpmds
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:Allpmds},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (all poll mode drivers)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all poll mode drivers produced by DPDK.

Package: librte-meta-all
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Depends: ${librte:All},
         ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (all sub-libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all librte libraries produced by DPDK.

Package: dpdk-dev
Section: oldlibs
Architecture: amd64 arm64 ppc64el riscv64 loong64
Breaks: dpdk (<< 24.11~rc1-1),
Depends: libdpdk-dev (>= ${source:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
Description: Data Plane Development Kit (dev tools)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains tools useful to a developer and for dpdk self tests.

Package: dpdk-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Homepage: https://dpdk.org/doc/guides/index.html
Depends: fonts-font-awesome,
         fonts-lato,
         fonts-roboto-slab,
         libjs-jquery,
         libjs-underscore,
         python3:any,
         ${misc:Depends},
         ${python3:Depends},
Description: Data Plane Development Kit (documentation)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the complete set of documentation and guides.

Package: libdpdk-dev
Section: libdevel
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libbpf-dev,
         libbsd-dev,
         libibverbs-dev,
         libipsec-mb-dev [amd64],
         libisal-dev [amd64],
         libelf-dev,
         libfdt-dev,
         libjansson-dev,
         libmnl-dev,
         libnuma-dev,
         libpcap-dev,
         libssl-dev,
         libxdp-dev,
         zlib1g-dev,
         ${librte:All},
         ${misc:Depends},
Description: Data Plane Development Kit (basic development files)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the basic headers and library files required to
 build external applications which will also require at least SSE3 support
 when running.
 .
 libdpdk.pc: note that CFLAGS might contain an -march flag higher than typical
 baseline.
 This is required for a number of static inline functions in the public headers.

Package: librte-acl26
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__acl_8h.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         sse4.2-support [amd64],
         armv8crc-support [arm64],
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte-acl runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte-acl.

Package: librte-argparse26
Architecture: amd64 arm64 ppc64el riscv64 loong64
Multi-Arch: same
Homepage: https://doc.dpdk.org/guides/prog_guide/argparse_lib.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},

=== debian/watch ===
version=4
https://fast.dpdk.org/rel/dpdk-(25.11.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
